Bug 215852 - editors/nvi-m17n: Fix autodetect of iso-2022-jp2
Summary: editors/nvi-m17n: Fix autodetect of iso-2022-jp2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-01-07 15:10 UTC by Yasuhito FUTATSUKI
Modified: 2017-08-22 15:21 UTC (History)
0 users

See Also:


Attachments
patch to fix iso-2022-jp2 autodetection (293 bytes, patch)
2017-01-07 15:10 UTC, Yasuhito FUTATSUKI
vlad-fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhito FUTATSUKI 2017-01-07 15:10:23 UTC
Created attachment 178600 [details]
patch to fix iso-2022-jp2 autodetection

nvi-m17n has feature to detect file encoding. This feature allow override fileencoding setting in .nexrc file or NEXINIT environment. I found a bug that nvi cannot detect iso-2022-jp encoding when the file also satisfy the condition of iso-2022-jp2.

attached patch fix this bug.
Comment 1 Vladimir Krstulja 2017-01-12 17:45:56 UTC
Comment on attachment 178600 [details]
patch to fix iso-2022-jp2 autodetection

Thanks for the patch. Can you please confirm this change passes build tests (poudriere)?

Implicit approval as the port has no maintainer.
Comment 2 Yasuhito FUTATSUKI 2017-01-13 15:13:53 UTC
I'm sorry because of poor resources, I cannot building test environment using poudriere.

I've built with patch FreeBSD/amd64 10.2 with ports tree subversion revision 414668 (too old...).
Comment 3 commit-hook freebsd_committer 2017-08-22 14:57:52 UTC
A commit references this bug:

Author: swills
Date: Tue Aug 22 14:57:02 UTC 2017
New revision: 448538
URL: https://svnweb.freebsd.org/changeset/ports/448538

Log:
  editors/nvi-m17n: Fix autodetect of iso-2022-jp2

  PR:		215852
  Submitted by:	Yasuhito FUTATSUKI <freebsd-bug-report-yf@yf.bsdclub.org>

Changes:
  head/editors/nvi-m17n/Makefile
  head/editors/nvi-m17n/files/patch-common-multibyte.c
Comment 4 Steve Wills freebsd_committer 2017-08-22 15:21:44 UTC
Committed, thanks!